org.optaplanner.core.impl.score.director.drools.testgen.reproducer

## Class TestGenCorruptedScoreReproducer

- java.lang.Object
- - org.optaplanner.core.impl.score.director.drools.testgen.reproducer.TestGenCorruptedScoreReproducer

- All Implemented Interfaces:
    EventListener, TestGenOriginalProblemReproducer, TestGenKieSessionListener

      public class TestGenCorruptedScoreReproducer
      extends Object
      implements TestGenOriginalProblemReproducer, TestGenKieSessionListener

  Detects corrupted score for the given journal. It should behave equally to `AbstractScoreDirector.assertWorkingScoreFromScratch(Score, Object)`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestGenCorruptedScoreReproducer(String analysis, TestGenDroolsScoreDirector<?> scoreDirector)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterFireAllRules(org.kie.api.runtime.KieSession kieSession, TestGenKieSessionJournal journal, TestGenKieSessionFireAllRules fire)`
    `void` | `assertReproducible(TestGenKieSessionJournal journal, String contextDescription)` Throws exception if the original problem is not reproducible with the given journal.
    `boolean` | `isReproducible(TestGenKieSessionJournal journal)` Replay the journal and decide if the original problem is reproducible.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TestGenCorruptedScoreReproducer

          public TestGenCorruptedScoreReproducer(String analysis,
                                                 TestGenDroolsScoreDirector<?> scoreDirector)

  - ### Method Detail

    - #### assertReproducible

          public void assertReproducible(TestGenKieSessionJournal journal,
                                         String contextDescription)

      Description copied from interface: `TestGenOriginalProblemReproducer`
      Throws exception if the original problem is not reproducible with the given journal.
      Specified by:
        `assertReproducible` in interface `TestGenOriginalProblemReproducer`
      Parameters:
        `journal` - journal tested for the original problem
        `contextDescription` - describes the context in which the problem should be reproducible

    - #### isReproducible

          public boolean isReproducible(TestGenKieSessionJournal journal)

      Description copied from interface: `TestGenOriginalProblemReproducer`
      Replay the journal and decide if the original problem is reproducible.
      Specified by:
        `isReproducible` in interface `TestGenOriginalProblemReproducer`
      Parameters:
        `journal` - journal tested for the original problem
      Returns:
        true if replaying the journal leads to the original problem

    - #### afterFireAllRules

          public void afterFireAllRules(org.kie.api.runtime.KieSession kieSession,
                                        TestGenKieSessionJournal journal,
                                        TestGenKieSessionFireAllRules fire)

      Specified by:
        `afterFireAllRules` in interface `TestGenKieSessionListener`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.